<?php
/**
 * Created by PhpStorm.
 * User: rafaelporto
 * Date: 10/02/2016
 * Time: 15:54
 */

namespace Factory;

use \Teknisa\Model\Teknisa\Entities;
use Zeedhi\DevOps\Util\Utilities;

class CallComment {

    function createCallComment($description, $call){
        $entity = new Entities\CpCallComment();
        $entity->setDescription($description);
        $entity->setCall($call);
        return $entity;
    }

    public function createArrayCommentTicket($nrseqcontato,$created,$nrorg,$description,$idevolinterna = 'N',
                                             $idsenevocont = 'S',$idrespnota = 'N'){
        $comment = array(
            'CDCASO' => $nrseqcontato,
            'CDMOTIEVOCON' => null,
            'CDOPEREVOL' =>$created,
            'CDTIPOCONT' => null,
            'DTHREVOLCONT' => Utilities::getDateNowString(),
            'IDANEXOEVOLCONT' => "N",
            'IDEVOLPUBLICO' => "S",
            'IDGERAFATURA' => "NAO",
            'IDRESPNOTA' => $idrespnota,
            'IDSENEVOCONT' => $idsenevocont,
            'IDTPEVOLCONT' => "P",
            'NRCONTATO' => $nrseqcontato,
            'NRORG' => $nrorg,
            'NRRELACIONAPARC' => "",
            'NRSEQCONTATO' => $nrseqcontato,
            'IDEVOLINTERNA' => $idevolinterna,
            'NRSEQFILACONTA' => "",
            'TXEVOLCONT' => $description,
            '__is_new' => $description,
        );
        return $comment;
    }
}